Bug 1417352 - Horizon network topology diagram shows new instances but deleted instances do not disappear
Summary: Horizon network topology diagram shows new instances but deleted instances do...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: Beth White
QA Contact: Ido Ovadia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-28 04:10 UTC by VIKRANT
Modified: 2020-02-14 18:31 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-29 14:13:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description VIKRANT 2017-01-28 04:10:40 UTC
Description of problem:

In the Horizon "network topology" page, when an instance is created elsewhere (e.g. "nova boot"), the instance automatically appears in the topology diagram without any user intervention. However when an instance is removed (e.g. "nova delete") then the instance is not removed from the topology diagram until the page is manually refreshed. A removed instance should disappear from the topology diagram without user intervention.

Version-Release number of selected component (if applicable):
RHOSP8. The browser used to access Horizon is Chrome (version 56.0.2924.76).

How reproducible:
Everytime

Steps to Reproduce:
1. Spawn an instance using "nova boot" command. 
2. Check the status in already opened browser. New instance is showing without need of refreshing the window.
3. Delete the instance. Browser is not reflecting the status until we are refreshing the browser. 

Actual results:
Browser refresh needed to reflect the instance delete.

Expected results:
It should reflect the status without refresh. 

Additional info:

Comment 1 Beth White 2017-06-29 14:13:58 UTC
This has been fixed back to OSP10.0. We will not backport further as it is a non-critical bug and is fixed in future releases.


Note You need to log in before you can comment on or make changes to this bug.